wxPostScriptDC(3)

NAME
wxPostScriptDC - This defines the wxWidgets Encapsulated PostScript device context, which can write PostScript files on any platform.

DESCRIPTION

See wxDC for descriptions of the member functions.

Starting a document

Document should be started with call to wxDC:startDoc/2 prior to calling any function to execute a drawing operation. However, some functions, like wxDC:setFont/2, may be legitimately called even before wxDC:startDoc/2.

This class is derived, and can use functions, from:

    • wxDC

wxWidgets docs: wxPostScriptDC

DATA TYPES

wxPostScriptDC() :: wx:wx_object().

FUNCTIONS

destroy(This :: wxPostScriptDC()) -> ok.

    Destroys the object
new() -> wxPostScriptDC().
new(PrintData) -> wxPostScriptDC() when PrintData :: wxPrintData:wxPrintData().

    Constructs a PostScript printer device context from a wxPrintData object.